CVE-2021-46671

medium

Description

options.c in atftp before 0.7.5 reads past the end of an array, and consequently discloses server-side /etc/group data to a remote client.

References

https://sourceforge.net/p/atftp/code/ci/9cf799c40738722001552618518279e9f0ef62e5

https://bugs.debian.org/1004974

https://lists.debian.org/debian-lts-announce/2022/05/msg00040.html

Details

Source: MITRE

Published: 2022-02-04

Updated: 2022-06-02

Type: CWE-125

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

CVSS v3

Base Score: 5.3

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Impact Score: 1.4

Exploitability Score: 3.9

Severity: MEDIUM